﻿/*
 * Balon_sonda.c
 *
 * Created: 26.3.2013 18:28:59
 *  Author: Zbynek
 */ 


#include <avr/io.h>
#include "Globals.h"
#include "uart.h"
#include "LED.h"
#include "Timers.h"
#include <util/delay.h>
#include <avr/interrupt.h>

int main(void)
{
	//LEDs_init();
	USART_Init();
	Timer1_init();
	sei();

	pocet_prubehu_casovace = PERIODA_VYCITANI;
	
	while(1)
	{
		if (pocet_prubehu_casovace == 0)
		{
			pocet_prubehu_casovace = PERIODA_VYCITANI;
			dekoduj_zpravu_GPS();
			if(Status_GPS == '1')
			{
				USART0_posli_retezec(UTC_time);
				USART0_posli_znak('\n');
				USART0_posli_znak('\r');
				USART0_posli_znak(Status_GPS);
				USART0_posli_znak('\n');
				USART0_posli_znak('\r');
				USART0_posli_retezec(Latitude);
				USART0_posli_znak('\n');
				USART0_posli_znak('\r');
				USART0_posli_retezec(Longitude);
				USART0_posli_znak('\n');
				USART0_posli_znak('\r');
				USART0_posli_retezec(Altitude);
				USART0_posli_znak('\n');
				USART0_posli_znak('\r');
			}
		}

	}

}

SIGNAL (TIMER1_COMPA_vect)
{
	OCR1AH = 0xF4;		// Start value in counter ~4s
	OCR1AL = 0x24;
	USART0_posli_znak('T');
	if (pocet_prubehu_casovace > 0)
	{
		pocet_prubehu_casovace--;
	}



}